| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
EqSolver::EqSolverMisc Class Reference

`#include <src/Components/EqSolver.h>`

Collaboration diagram for EqSolver::EqSolverMisc:
[legend]

## Public Member Functions
| EqSolverMisc (const Equations &funcs, Arg &arg)
| standard constructor More...
| ~EqSolverMisc ()
const Arg & | argument () const
Arg & | argument ()
const Equations * | equations () const
const Jacobi & | jacobi () const

## Private Member Functions
| EqSolverMisc ()=delete
| EqSolverMisc (const EqSolverMisc &)=delete
EqSolverMisc & | operator= (const EqSolverMisc &)=delete

## Private Attributes
Arg | m_argum
const Equations * | m_eqs
Jacobi | m_jac

## Detailed Description

Definition at line 39 of file EqSolver.h.

## Constructor & Destructor Documentation

EqSolver::EqSolverMisc::EqSolverMisc | ( | const Equations & | funcs,
|  | Arg & | arg
| ) |  |

standard constructor

EqSolver::EqSolverMisc::~EqSolverMisc | ( |  | ) |

Definition at line 47 of file EqSolver.cpp.

48 {
49 while ( !m_jac.empty() ) {
50 Equations& last = m_jac.back();
51 while ( !last.empty() ) {
52 delete last.back();
53 last.pop_back();
54 }
55 m_jac.pop_back();
56 }
57 }
std::vector::empty
T empty(T...args)
std::vector::pop_back
T pop_back(T...args)
EqSolver::EqSolverMisc::m_jac
Jacobi m_jac
Definition: EqSolver.h:66
std::vector::back
T back(T...args)

EqSolver::EqSolverMisc::EqSolverMisc | ( |  | ) |
| private delete

EqSolver::EqSolverMisc::EqSolverMisc | ( | const EqSolverMisc & |  | ) |
| private delete

## Member Function Documentation

const Arg& EqSolver::EqSolverMisc::argument | ( |  | ) | const
| inline

Definition at line 50 of file EqSolver.h.

50 { return m_argum; }
EqSolver::EqSolverMisc::m_argum
Arg m_argum
Definition: EqSolver.h:64

Arg& EqSolver::EqSolverMisc::argument | ( |  | ) |
| inline

Definition at line 51 of file EqSolver.h.

51 { return m_argum; }
EqSolver::EqSolverMisc::m_argum
Arg m_argum
Definition: EqSolver.h:64

const Equations* EqSolver::EqSolverMisc::equations | ( |  | ) | const
| inline

Definition at line 52 of file EqSolver.h.

52 { return m_eqs; }
EqSolver::EqSolverMisc::m_eqs
const Equations * m_eqs
Definition: EqSolver.h:65

const Jacobi& EqSolver::EqSolverMisc::jacobi | ( |  | ) | const
| inline

Definition at line 53 of file EqSolver.h.

53 { return m_jac; }
EqSolver::EqSolverMisc::m_jac
Jacobi m_jac
Definition: EqSolver.h:66

EqSolverMisc& EqSolver::EqSolverMisc::operator= | ( | const EqSolverMisc & |  | ) |
| private delete

## Member Data Documentation

Arg EqSolver::EqSolverMisc::m_argum
| private

Definition at line 64 of file EqSolver.h.

const Equations* EqSolver::EqSolverMisc::m_eqs
| private

Definition at line 65 of file EqSolver.h.

Jacobi EqSolver::EqSolverMisc::m_jac
| private

Definition at line 66 of file EqSolver.h.

The documentation for this class was generated from the following files:

- GaudiGSL/src/Components/EqSolver.h
- GaudiGSL/src/Components/EqSolver.cpp